Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class MaxNonCompetitiveBoostAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.search.MaxNonCompetitiveBoostAttributeImpl

All Implemented Interfaces:
  Cloneable, MaxNonCompetitiveBoostAttribute, Attribute

    public final class MaxNonCompetitiveBoostAttributeImpl

extends AttributeImpl
implements MaxNonCompetitiveBoostAttribute

Implementation class for `MaxNonCompetitiveBoostAttribute`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Constructor Summary
`MaxNonCompetitiveBoostAttributeImpl()`

Method Summary
`void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`BytesRef` | `getCompetitiveTerm()` This is the term or `null` of the term that triggered the boost change.
`float` | `getMaxNonCompetitiveBoost()` This is the maximum boost that would not be competitive.
`void` | `setCompetitiveTerm(BytesRef competitiveTerm)` This is the term or `null` of the term that triggered the boost change.
`void` | `setMaxNonCompetitiveBoost(float maxNonCompetitiveBoost)` This is the maximum boost that would not be competitive.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxNonCompetitiveBoostAttributeImpl

    public MaxNonCompetitiveBoostAttributeImpl()

Method Detail

### setMaxNonCompetitiveBoost

    public void setMaxNonCompetitiveBoost(float maxNonCompetitiveBoost)

  Description copied from interface: `MaxNonCompetitiveBoostAttribute`
  This is the maximum boost that would not be competitive.

  Specified by:
    `setMaxNonCompetitiveBoost` in interface `MaxNonCompetitiveBoostAttribute`

### getMaxNonCompetitiveBoost

    public float getMaxNonCompetitiveBoost()

  Description copied from interface: `MaxNonCompetitiveBoostAttribute`
  This is the maximum boost that would not be competitive. Default is negative infinity, which means every term is competitive.

  Specified by:
    `getMaxNonCompetitiveBoost` in interface `MaxNonCompetitiveBoostAttribute`

### setCompetitiveTerm

    public void setCompetitiveTerm(BytesRef competitiveTerm)

  Description copied from interface: `MaxNonCompetitiveBoostAttribute`
  This is the term or `null` of the term that triggered the boost change.

  Specified by:
    `setCompetitiveTerm` in interface `MaxNonCompetitiveBoostAttribute`

### getCompetitiveTerm

    public BytesRef getCompetitiveTerm()

  Description copied from interface: `MaxNonCompetitiveBoostAttribute`
  This is the term or `null` of the term that triggered the boost change. Default is `null`, which means every term is competitoive.

  Specified by:
    `getCompetitiveTerm` in interface `MaxNonCompetitiveBoostAttribute`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.